@import '../../../../../scss/variables.scss';
@import "../../../../../../node_modules/bulma/sass/utilities/_all.sass";

.resources {
  margin: 0;
}

.resources-list {
  padding-top: 0;
  padding-left: 0;
}

.resource {
  background-color: white;
  padding: 0 0.75rem 0.75rem 0.75rem;
  margin-top: 0.75rem;
  position: relative;
  border-left: 2px solid white;

  //To make work the pseudo element as separator between resource
  // padding-bottom: 1px;
  // padding-top: 1px;
  // margin-bottom: 0.75rem;
  // margin-top: 0.75rem;

  &:not(:last-of-type) {
    &:after {
      content: "";
      position: absolute;
      display: block;
      width: 100%;
      z-index: 2;
      height: 1px;
      border-bottom: 1px solid $grey-background-color;
      padding-bottom: 0.75rem;
    }
  }

  @media screen and (min-width: $tablet) {
    margin-right: unset;
  }

}

.resource.is-active {
  border-left: 2px solid $tomato-color;

  .resource-icon svg {
    fill: $tomato-color;
  }
}

.resource-title {
  display: flex;
  align-items: center;
  cursor: pointer;
  border: none;
  padding: 0;
  background-color: transparent;
  text-align: left;
}

.resource-information {
  span {
    font-size: 0.875rem;
  }
}

.resource-description {
  color: $grey-dark-color;
}

.resource-icon {
  svg {
    margin-right: 1rem;
    width: 16px;
    transform: rotate(-90deg);
  }
}

.description-and-formats {
  display: flex;
  align-items: center;

  & > * {
    margin-right: 0.5rem;
  }
}

.resource-type {
  margin-right: 1rem;
}

.resource-query {
  margin-top: 1rem;
}

@media screen and (min-width: $tablet) {
  .resource-query {
    padding-left: 3rem;
  }
}

.resource-title .resource-name span:first-of-type {

  @media screen and (min-width: $tablet) {
    text-transform: uppercase;
    margin-bottom: 0.25rem;
  }
}

.resource-title.is-active {
  background-color: white;
  max-height: 500px;
  transition: max-height 0.25s ease-in;

  .resource-icon svg {
    transform: rotate(0deg);
  }
}

.pirate-alert {
  margin-left: 1rem;
}
